# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'poke_api/version'

Gem::Specification.new do |spec|
  spec.name          = "poke_api"
  spec.version       = PokeApi::VERSION
  spec.authors       = ["Christopher Miles"]
  spec.email         = ["christophermiles9@gmail.com"]

  spec.summary       = %q{A simple Ruby wrapper for PokeAPI v2.}
  spec.homepage      = "https://github.com/christophermiles9/poke_api"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"

  spec.add_dependency "rest-client", "~> 2.0"
end
